# Do not modify this file!  It was generated by 'nixos-generate-config'
# and may be overwritten by future invocations. Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, modulesPath, ... }:

{
  imports =
    [ (modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot.initrd.availableKernelModules = [ "xhci_pci" "ahci" "nvme" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];

  fileSystems."/" =
    { device = "/dev/disk/by-uuid/b02e7bc6-62e0-46b5-8d5f-869b464c4491";
      fsType = "btrfs";
      options = [ "subvol=@" ];
    };

  boot.initrd.luks.devices."luks-3d974bd0-f373-469b-8e9c-2d5516e9f0f5".device = "/dev/disk/by-uuid/3d974bd0-f373-469b-8e9c-2d5516e9f0f5";

  fileSystems."/swap" =
    { device = "/dev/disk/by-uuid/b02e7bc6-62e0-46b5-8d5f-869b464c4491";
      fsType = "btrfs";
      options = [ "subvol=@swap" ];
    };

  fileSystems."/boot" =
    { device = "/dev/disk/by-uuid/072E-897D";
      fsType = "vfat";
      # Fixes the error
      #   systemd-boot-random-seed.service: Mount point '/boot' which backs the random seed file is world accessible, which is a security hole!
      # TODO: Do this with disko. Example: https://github.com/wimpysworld/nix-config/blob/0cc52f746d5c5fec9d8edea5391661da811eb08f/nixos/tanis/disks.nix#L17
      # TODO: Add this to other NixOS hosts.
      options = [ "umask=0077" ];
    };

  fileSystems."/mnt/data" =
    { device = "/dev/disk/by-uuid/c385a436-0288-486f-a2b9-c64c2db667e7";
      fsType = "btrfs";
    };

  boot.initrd.luks.devices."12tb1".device = "/dev/disk/by-uuid/68c349e8-5118-4773-9fd5-5dbad9acee4e";

#  fileSystems."/var/lib/docker/btrfs" =
#    { device = "/swap/@/var/lib/docker/btrfs";
#      fsType = "none";
#      options = [ "bind" ];
#    };

  fileSystems."/mnt/backup" =
    { device = "/dev/mapper/3tb1";
      fsType = "btrfs";
    };

  boot.initrd.luks.devices."3tb1".device = "/dev/disk/by-uuid/55955dc0-0407-4b32-8fd1-76eae8461453";
  boot.initrd.luks.devices."3tb2".device = "/dev/disk/by-uuid/0fec8070-c7a2-41d6-8c5b-1ed7a95db691";
  boot.initrd.luks.devices."4tb1".device = "/dev/disk/by-uuid/32a1a782-d77d-46ff-9f34-9d6574a9822b";

  swapDevices = [ { device = "/swap/swapfile"; } ];

  # Enables DHCP on each ethernet and wireless interface. In case of scripted networking
  # (the default) this is the recommended approach. When using systemd-networkd it's
  # still possible to use this option, but it's recommended to use it in conjunction
  # with explicit per-interface declarations with `networking.interfaces.<interface>.useDHCP`.
  networking.useDHCP = lib.mkDefault true;
  # networking.interfaces.docker0.useDHCP = lib.mkDefault true;
  # networking.interfaces.enp0s31f6.useDHCP = lib.mkDefault true;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
