{ config, pkgs, ... }:
{
  imports =
    [
      ./hardware-configuration.nix
      ./host-specific.nix
      ../../modules/home-manager.nix
      ../../modules/nur-and-unstable.nix
      ../../modules/unfree.nix
      ../../modules/base.nix
      ../../modules/base-efi.nix
      ../../modules/headless.nix

      ../../modules/ssh-fde-unlock.nix
      ../../modules/zsh.nix
      ../../modules/ssh-server.nix
      ../../modules/docker.nix

      ../../modules/lid-switch-handling.nix
      ../../modules/sendmail-mta.nix
      ../../modules/journalwatch.nix

      ../../modules/btrfs-scrub.nix
      ../../modules/btrfs-mount-options.nix
    ];

  #foo = throw "NixOS rebuild boot required to update to 24.05";

  networking.hostName = "yodaYoga";
  boot.initrd.luks.devices."luks-a8521407-e25b-4f26-8e7a-a56fcbfd2e35".allowDiscards = true;
  yoda.btrfsFileSystems = ["/"];
  #yoda.btrfsMounts = yoda.btrfsFileSystems;

  boot.kernelParams = [
    # Microarchitectural Data Sampling (MDS), see https://www.kernel.org/doc/html/latest/admin-guide/hw-vuln/mds.html#mitigation-control-on-the-kernel-command-line
    "mds=full,nosmt"
  ];
  boot.kernelPackages = pkgs.linuxPackages;

  # Most users should never change this value after the initial install, for any reason, even if you've upgraded your system to a new NixOS release.
  system.stateVersion = "23.05";
}
