{ config, pkgs, lib, ... }:
{
  # See also:
  #   Temporary workaround until https://github.com/nix-community/home-manager/issues/3447 is merged.

  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {
    home.file."keepassxc" = {
      target = ".config/autostart/org.keepassxc.KeePassXC.desktop";
      source = (pkgs.keepassxc + "/share/applications/org.keepassxc.KeePassXC.desktop");
    };
    # home.file."org.gnome.World.Secrets" = {
    #   target = ".config/autostart/org.gnome.World.Secrets.desktop";
    #   source = (pkgs.gnome-secrets + "/share/applications/org.gnome.World.Secrets.desktop");
    # };

    home.file."signal-desktop" = lib.mkIf (osConfig.networking.hostName == "yodaTux") {
      target = ".config/autostart/signal-desktop.desktop";
      source = (pkgs.signal-desktop + "/share/applications/signal-desktop.desktop");
    };

#    home.file."thunderbird" = lib.mkIf (osConfig.networking.hostName == "yodaTux") {
#      target = ".config/autostart/thunderbird.desktop";
#      source = (pkgs.thunderbird + "/share/applications/thunderbird.desktop");
#    };

    home.file."org.gnome.Solanum" = {
      target = ".config/autostart/org.gnome.Solanum.desktop";
      source = (pkgs.gnome-solanum + "/share/applications/org.gnome.Solanum.desktop");
    };

#    home.file."org.gnome.Fractal" = lib.mkIf (osConfig.networking.hostName == "yodaTux") {
#      target = ".config/autostart/org.gnome.Fractal.desktop";
#      source = (pkgs.fractal + "/share/applications/org.gnome.Fractal.desktop");
#    };
  };
}
