{ config, pkgs, ... }:
{
  # A direct integration in Nautilus is still in progress: https://gitlab.gnome.org/raggesilver/blackbox/-/issues/20
  # Thus, we use nautilus-open-any-terminal.

  users.users.yoda = {
    packages = with pkgs; [
       blackbox-terminal # Terminal emulator. Can show notifications for commands finished in the background.
       nautilus-open-any-terminal # For Nautilus (GNOME files) integration
    ];
  };

  programs.dconf.enable = true;
  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {
    dconf.settings = {
      # For Nautilus (GNOME files) integration
      "com/github/stunkymonkey/nautilus-open-any-terminal" = {
        terminal = "blackbox";
      };

      "com/raggesilver/BlackBox" = {
        remember-window-size = true;
        terminal-bell = false;

        # Theming.
        # There are more compatible themes online: https://github.com/storm119/Tilix-Themes/blob/master/Themes.md
        theme-dark = "Japanesque";
        theme-light = "Solarized Light";
      };
    };
  };
}
