{ config, pkgs, lib, ... }:
{
  lib.maintainers = {
    langbeindaniel = {
      name = "Daniel Langbein";
      email = "daniel@systemli.org";
      keys = [{
        fingerprint = "94F3 D3DD AC22 8022 58FC  044B 6C47 C753 F082 3002";
      }];
    };
  };

  environment.systemPackages = with pkgs; [
    (
      # callPackage is a function that automagically figures out which arguments your function wants, and then provides them from its own set. This pill explains it well: https://nixos.org/guides/nix-pills/callpackage-design-pattern.html
      # https://discourse.nixos.org/t/undefined-variable-fetchfromgithub/14315/2
      pkgs.callPackage ./docker-pushrm-pkg.nix { }
    )
  ];
}
