{
  # Declarative Flatpak app installations:
  # - https://github.com/GermanBread/declarative-flatpak
  # This is probably a bit overkill for the few Flatpak apps I use.
  #
  # Another community project for declarative Flatpak app installations:
  # - https://github.com/gmodena/nix-flatpak#packages
  # > You could try to clone the repo to a location relative to your configuration.nix, and import modules/nixos.nix directly. However, I suspect things will break.
  # > I'll sandbox some time to try this out the upcoming weekend.
  # > https://discourse.nixos.org/t/managing-flatpaks-declaratively/34532/3
  #F
  # Let's just use the default way:
  #   https://nixos.wiki/wiki/Flatpak

  services.flatpak.enable = true;

  # TODO: These commands have to be executed manually.

  #flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
  #flatpak update

  #
  # Some flatpak apps
  #

  # Change PDF metadata
  #flatpak install io.github.diegoivan.pdf_metadata_editor

  # Trim, flip, rotate, crop and export individual clips.
  #flatpak install io.gitlab.adhami3310.Footage

  # Fediverse client. There is also a native client, but it is outdated: https://github.com/GeopJr/Tuba#third-party
  #flatpak install dev.geopjr.Tuba

  # Speedtest in Germany. Also available in nixpkgs stable/unstable, but outdated.
  #flatpak install de.breitbandmessung.Breitbandmessung

  # Run Windows apps and games
  #flatpak install com.usebottles.bottles
  # Allow adding .desktop entries
  #flatpak override com.usebottles.bottles --user --filesystem=xdg-data/applications

  # Emoji keyboard/picker
  #flatpak install it.mijorus.smile
}