{ config, pkgs, ... }:
{
  users.users.yoda = {
    packages = with pkgs; [
      #gnome.gnome-terminal # Terminal emulator
      nautilus-open-any-terminal # For Nautilus (GNOME files) integration
    ];
  };

  # For Nautilus (GNOME files) integration
  programs.dconf.enable = true;

  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {
    dconf.settings = {
      # For Nautilus (GNOME files) integration
      "com/github/stunkymonkey/nautilus-open-any-terminal" = {
        terminal = "gnome-terminal";
      };
    };

    programs.gnome-terminal.enable = true;
    programs.gnome-terminal.profile."74b90a31-5123-4a64-91a3-3cb31eb5cdb6" = {
      default = true;
      visibleName = "Yoda's Terminal";
      font = "DejaVu Sans Mono 11";
      audibleBell = false;

      # Theme: https://github.com/chriskempson/base16-default-schemes/blob/master/default-light.yaml
      # Where to place theme values: https://github.com/knopki/devops-at-home/blob/307921320d6147347e830d2c709f142b809d55b4/home/modules/theme/theme-gnome-terminal.nix#L16-L41
      colors = {
        backgroundColor = "#f8f8f8";
        foregroundColor = "#383838";
        cursor = {
          background = "#383838";
          foreground = "#f8f8f8";
        };
        palette = [
          "#f8f8f8"
          "#ab4642"
          "#a1b56c"
          "#f7ca88"
          "#7cafc2"
          "#ba8baf"
          "#86c1b9"
          "#383838"
          "#b8b8b8"
          "#dc9656"
          "#e8e8e8"
          "#d8d8d8"
          "#585858"
          "#282828"
          "#a16946"
          "#181818"
        ];
      };
    };
  };
}
