{ config, pkgs, ... }:
{
  users.users.yoda = {
    packages = with pkgs; [
      btop # Terminal resource monitor
      htop # Terminal resource monitor
    ];
  };

  # Terminal multiplexer
  programs.screen.enable = true;
  programs.screen.screenrc = ''
    defscrollback 10000
    startup_message off
  '';

  # Small storage space savings.
  #
  # Don't install documentation to `/share/doc`.
  documentation.doc.enable = false;
  # Don't install man pages.
  documentation.man.enable = false;
  # Don't install install info pages and the info command.
  documentation.info.enable = false;
}
