{ config, pkgs, ... }:
let
  # Import Home Manager with niv.
  home-manager = (import ../nix/sources.nix).home-manager;
  #home-manager-source = import (import ../nix/sources.nix).home-manager {};
in
{
  imports = [
    # Home Manager.
    (import "${home-manager}/nixos")
    #home-manager-source.nixos
  ];

  # This option may become the default value in the future.
  # https://nix-community.github.io/home-manager/index.html#sec-install-nixos-module
  home-manager.useUserPackages = true;
  # This saves an extra Nixpkgs evaluation, adds consistency,
  # and removes the dependency on NIX_PATH, which is otherwise used for importing Nixpkgs.
  # https://nix-community.github.io/home-manager/index.html#sec-install-nixos-module
  home-manager.useGlobalPkgs = true;

  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {
    # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
    # Switching to a higher state version typically requires performing some manual steps, such as data conversion or moving files.
    home.stateVersion = "24.05";
  };
  home-manager.users.root = { osConfig, config, pkgs, ... }: {
    # https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion
    # Switching to a higher state version typically requires performing some manual steps, such as data conversion or moving files.
    home.stateVersion = "24.05";
  };
}
