{ config, pkgs, ... }:
let
  #rustVersion = pkgs.rust-bin.stable."1.81.0".default.override {
  rustVersion = pkgs.rust-bin.stable.latest.default.override {
    extensions = [ "rust-src" ];
    #targets = [
    #  "x86_64-unknown-linux-musl"
    #  #"arm-unknown-linux-gnueabihf"
    #  #"wasm32-wasi"
    #  #"wasm32-unknown-unknown"
    #];
  };
  rustPlatform = pkgs.makeRustPlatform {
    cargo = rustVersion;
    rustc = rustVersion;
  };
in
{
  environment.systemPackages = with pkgs; [
    rustPlatform.rust.cargo
  ];
}
