{ config, pkgs, lib, ... }:
{
  # Looks as if TrueCrypt is unfree software
  #   https://github.com/NixOS/nixpkgs/blob/5d017a8822e0907fb96f7700a319f9fe2434de02/pkgs/applications/misc/veracrypt/default.nix#L59

  # Allow installation of unfree software Veracrypt.
  # Alternatively, run Veracrypt with
  #   NIXPKGS_ALLOW_UNFREE=1 nix-shell -p veracrypt
  # https://nixos.wiki/wiki/Unfree_Software
  allowUnfree = [
    "veracrypt"
  ];

  users.users.yoda = {
    packages = with pkgs; [
      veracrypt # Encrypted filesystem
    ];
  };
}
