{ pkgs, lib }:
let
  # TODO use formula: 1920×16÷9÷3×2
  # Width of our display.
  max-width = "2276";
in
  pkgs.stdenv.mkDerivation rec{
    name = "yoda-wallpaper";
    src = "${../assets/img/wallpaper.jpg}";
    nativeBuildInputs = with pkgs; [ imagemagick ];
    phases = "installPhase";
    # magick limit width: https://stackoverflow.com/a/38415211/6334421
    # magick jpg options: quality, progressive, strip metadata. https://stackoverflow.com/a/7262050/6334421
    installPhase = ''
      set -eu -o pipefail
      mkdir -p $out
      ${pkgs.imagemagick}/bin/magick $src -resize '${max-width}>' -quality 90% -interlace Plane -strip      $out/img.jpg
      ${pkgs.imagemagick}/bin/magick $src -resize '${max-width}>'                                           $out/img.png
    '';
  }
